
// Implementation of the TrgAlarmReader class.
 

#define UINT unsigned int
#define BYTE  unsigned char
#include <string>
#include <log4cxx/logger.h>
extern "C" {
#include "CRC.h"
}

#include <fstream>
#include "stdio.h"
#include "ReaderAlgorithms.h"

using namespace pamela;
using namespace pamela::techmodel;

static log4cxx::LoggerPtr logger = log4cxx::Logger::getLogger(_T("pamela.techmodel.TrgAlarmReader"));

/**
 * Constructor. 
 */
TrgAlarmReader::TrgAlarmReader(void): 
  TechmodelAlgorithm(PacketType::TrgAlarm, "TechmodelTrgAlarmReader") { 
  logger->debug(_T("Constructor"));
  trgAlarm = new TrgAlarmEvent();
}

/**
 * Get a string with the version info of the algorithm.
 */
std::string TrgAlarmReader::GetVersionInfo(void) const {
  return 
    "$Trailer: /home/cvsmanager/yoda/techmodel/TrgAlarmReader.cpp,v 1.1.1.1 2004/07/06 12:20:23 kusanagi Exp $\n";
}

/**
 * Initialize the algorithm with a special run. This will initialize the
 * event reader routines for all packet types.
 */
void TrgAlarmReader::Init(PamelaRun *run) {
  SetInputStream(run);
  run->WriteSubPacket(this, &trgAlarm, trgAlarm->Class());
  logger->debug(_T("Initialize"));
}

/**
 * Unpack the TrgAlarm event from an input file.
 */
void TrgAlarmReader::RunEvent(int EventNumber, long int length) throw (WrongCRCException){
    
    
}

